package nl.kallestruik.ditems

import co.aikar.commands.BaseCommand
import co.aikar.commands.annotation.CommandAlias
import co.aikar.commands.annotation.Single
import co.aikar.commands.annotation.Subcommand
import org.bukkit.command.CommandSender
import org.bukkit.entity.Player

@CommandAlias("ditems")
class CommandDItems: BaseCommand() {
    @Subcommand("give")
    fun onGive(player: Player, @Single id: String) {
        val item = ItemManager.items[id]?.createItemStack() ?: return

        player.inventory.addItem(item)
    }

    @Subcommand("reload")
    fun onReload(sender: CommandSender) {
        ItemManager.items.clear()
        ItemManager.loadItems(sender)
    }
}