package nl.kallestruik.ditems

import co.aikar.commands.PaperCommandManager
import org.bukkit.plugin.java.JavaPlugin

class DItems: JavaPlugin() {
    private lateinit var commandManager: PaperCommandManager

    override fun onEnable() {
        commandManager = PaperCommandManager(this).also {
            it.enableUnstableAPI("brigadier")
            it.enableUnstableAPI("help")
        }

        commandManager.registerCommand(CommandDItems())

        ItemManager.setup(this)
        ItemManager.loadItems()

        server.pluginManager.registerEvents(EventListener(this), this)
    }
}