package nl.kallestruik.ditems.dsl.item

import nl.kallestruik.ditems.Item
import org.bukkit.Location
import org.bukkit.block.BlockFace
import org.bukkit.event.block.BlockBreakEvent
import org.bukkit.inventory.ItemStack
import org.bukkit.plugin.java.JavaPlugin

class OnBreakBlock(
    val event: BlockBreakEvent,
    val pos: Location,
    val face: BlockFace,
    val itemStack: ItemStack,
    val item: Item,
    val plugin: JavaPlugin,
) {
    fun breakBlock(pos: Location) {
        pos.world.getBlockAt(pos).breakNaturally(itemStack)
    }

    fun relative(x: Int, y: Int, z: Int): Location {
        return pos.clone().add(x.toDouble(), y.toDouble(), z.toDouble())
    }
}